ExpressionRecipientList (Mule ESB 2.2.1 API)
Keywords: org.mule.routing.outbound.ExpressionRecipientList class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.routing.outbound
Class ExpressionRecipientList

    java.lang.Object
      org.mule.routing.AbstractRouter
          org.mule.routing.outbound.AbstractOutboundRouter
              org.mule.routing.outbound.FilteringOutboundRouter
                  org.mule.routing.outbound.AbstractRecipientList
                      org.mule.routing.outbound.ExpressionRecipientList

All Implemented Interfaces:
  MuleContextAware, Disposable, Initialisable, OutboundRouter, Router

    public class ExpressionRecipientList

extends AbstractRecipientList

`StaticRecipientList` is used to dispatch a single event to multiple recipients over the same transport. The recipient endpoints for this router can be configured statically on the router itself.

Field Summary
`static String` | `DEFAULT_SELECTOR_EVALUATOR`
`static String` | `DEFAULT_SELECTOR_EXPRESSION`
`static String` | `DEFAULT_SELECTOR_PROPERTY`

Fields inherited from class org.mule.routing.outbound.AbstractRecipientList
`logger`

Fields inherited from class org.mule.routing.outbound.FilteringOutboundRouter
`expressionManager`

Fields inherited from class org.mule.routing.outbound.AbstractOutboundRouter
`ENABLE_CORRELATION_ALWAYS, ENABLE_CORRELATION_IF_NOT_SET, ENABLE_CORRELATION_NEVER, enableCorrelation, endpoints, messageInfoMapping, replyTo, resultsHandler, transactionConfig`

Fields inherited from class org.mule.routing.AbstractRouter
`muleContext`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`ExpressionRecipientList()`

Method Summary
`String` | `getCustomEvaluator()`
`String` | `getEvaluator()`
`String` | `getExpression()`
`String` | `getFullExpression()`
`protected List` | `getRecipients(MuleMessage message)`
`void` | `setCustomEvaluator(String customEvaluator)`
`void` | `setEvaluator(String evaluator)`
`void` | `setExpression(String expression)`

Methods inherited from class org.mule.routing.outbound.AbstractRecipientList
`getRecipientEndpoint, getRecipientEndpointFromString, getRecipientEndpointFromUri, getSynchronous, isDynamicEndpoints, route, setSynchronous`

Methods inherited from class org.mule.routing.outbound.FilteringOutboundRouter
`addEndpoint, getEndpoint, getFilter, getTransformers, initialise, isMatch, isRequiresNewMessage, isUseTemplates, setFilter, setTransformers, setUseTemplates`

Methods inherited from class org.mule.routing.outbound.AbstractOutboundRouter
`createTransactionTemplate, dispatch, getEnableCorrelation, getEndpoint, getEndpoints, getMessageInfoMapping, getReplyTo, getResultsHandler, getTransactionConfig, removeEndpoint, send, setEnableCorrelation, setEnableCorrelationAsString, setEndpoints, setMessageInfoMapping, setMessageProperties, setReplyTo, setResultsHandler, setTransactionConfig`

Methods inherited from class org.mule.routing.AbstractRouter
`dispose, getMuleContext, getRouterStatistics, setMuleContext, setRouterStatistics`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.mule.api.routing.Router
`getRouterStatistics, setRouterStatistics`

Methods inherited from interface org.mule.api.lifecycle.Disposable
`dispose`

Field Detail

### DEFAULT_SELECTOR_PROPERTY

    public static final String DEFAULT_SELECTOR_PROPERTY

See Also:
  Constant Field Values

### DEFAULT_SELECTOR_EVALUATOR

    public static final String DEFAULT_SELECTOR_EVALUATOR

See Also:
  Constant Field Values

### DEFAULT_SELECTOR_EXPRESSION

    public static final String DEFAULT_SELECTOR_EXPRESSION

See Also:
  Constant Field Values

Constructor Detail

### ExpressionRecipientList

    public ExpressionRecipientList()

Method Detail

### getRecipients

    protected List getRecipients(MuleMessage message)
                          throws CouldNotRouteOutboundMessageException

  Specified by:
    `getRecipients` in class `AbstractRecipientList`
  Throws:
    `CouldNotRouteOutboundMessageException`

### getFullExpression

    public String getFullExpression()

### getExpression

    public String getExpression()

### setExpression

    public void setExpression(String expression)

### getCustomEvaluator

    public String getCustomEvaluator()

### setCustomEvaluator

    public void setCustomEvaluator(String customEvaluator)

### getEvaluator

    public String getEvaluator()

### setEvaluator

    public void setEvaluator(String evaluator)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.